Skip to content

Update container options

PATCH
/container/{ocid}/options
curl --request PATCH \
--url https://sylve.lan:8181/api/container/1/options \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "cores": 1, "description": "example", "memory": 1, "startAtBoot": true, "startOrder": 1, "title": "example" }'

Change a container’s name, description, or boot options without recreating it

ocid
required
integer

Container ID

Options

Media typeapplication/json
object
cores
integer
description
string
memory
integer
startAtBoot
boolean
startOrder
integer
title
string
Examplegenerated
{
"cores": 1,
"description": "example",
"memory": 1,
"startAtBoot": true,
"startOrder": 1,
"title": "example"
}

Success

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}